# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%global python2ver %(python2 -c "import sys; print sys.version[:3]" || echo none)

Summary:	More selective variation of the TitleIndex macro for the moin wiki engine
Name:		moin-macro-TitleIndexNonPersonal
Version:	20060519
Release:	13.%{__distinit}%{__distvers}
URL:		http://trac.city-fan.org/cfo-trac/browser/moin-macro-TitleIndexNonPersonal/trunk/
Source0:	TitleIndexNonPersonal.py
Source1:	moin-macro-TitleIndexNonPersonal-README.RPM
License:	GPL-2.0-or-later
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	python2
BuildRequires:	sed
Requires:	moin
Requires:	python(abi) = %{python2ver}

%description
The TitleIndexNonPersonal macro is like the TitleIndex macro but omits system
pages and personal homepage hierarchies, which can tend to fill the index with
less-than-useful entries, particularly if users have MonthCalendar-based blogs.

The macro was written by Marek Piekarski <marek_piekarski@virtensys.com>

%prep
%setup -q -c -T
cp -a %{SOURCE0} .
cp -a %{SOURCE1} README.RPM

# Remove spurious shellbang
sed -i -e '/^#!\/usr\/bin\/env python/d' TitleIndexNonPersonal.py

%build
# Generate normal (.pyc) byte-compiled files.
python2 -c 'import compileall; compileall.compile_dir(".", 1, "/", 1)'
# Generate optimized (.pyo) byte-compiled files.
python2 -O -c 'import compileall; compileall.compile_dir(".", 1, "/", 1)'

%install
install -d -m 755 %{buildroot}%{_datadir}/moin/data/plugin/macro
install -p -m 644 TitleIndexNonPersonal.py* \
	%{buildroot}%{_datadir}/moin/data/plugin/macro

%files
%doc README.RPM
%{_datadir}/moin/data/plugin/macro/TitleIndexNonPersonal.py*

%changelog
* Wed Mar 29 2023 Paul Howarth <paul@city-fan.org> - 20060519-13
- Use SPDX-format license tag

* Thu Nov  1 2018 Paul Howarth <paul@city-fan.org> - 20060519-12
- Explicitly use python2 rather than just python

* Fri Jan  5 2018 Paul Howarth <paul@city-fan.org> - 20060519-11
- Drop support for EOL distributions prior to F-13
  - Python2 > 2.3 is always available
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop %%defattr, redundant since rpm 4.4

* Wed Oct 12 2011 Paul Howarth <paul@city-fan.org> - 20060519-10
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux
- BR: python2 rather than just python

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> - 20060519-9
- Rebuild for python 2.7 in Rawhide

* Wed May 26 2010 Paul Howarth <paul@city-fan.org> - 20060519-8
- Fix dist tag for RHEL-6 Beta

* Wed Feb 24 2010 Paul Howarth <paul@city-fan.org> - 20060519-7
- Dist tag for Rawhide no longer needs special-casing

* Wed Jun 24 2009 Paul Howarth <paul@city-fan.org> - 20060519-6
- Define RPM macros in global scope
- Unbundle README.RPM as a separate source file rather than a here document
- Preserve timestamp on python code

* Tue Nov  6 2007 Paul Howarth <paul@city-fan.org> - 20060519-5
- Fix dist tag for Fedora 7 onwards
- Clarify license as GPL, version 2 or later

* Mon Dec 11 2006 Paul Howarth <paul@city-fan.org> - 20060519-4
- Rebuild for python 2.5 in Rawhide

* Tue Dec  5 2006 Paul Howarth <paul@city-fan.org> - 20060519-3
- Fix python-abi dep for python 2.3
- Fix mock build where python is not in the initial buildroot
- Buildreq python, not python-devel

* Mon Sep 18 2006 Paul Howarth <paul@city-fan.org> - 20060519-2
- Fix dist tag for development releases
- Don't ghost .pyo files
- Don't own directory %%{_datadir}/moin/data/plugin/macro/

* Fri May 19 2006 Paul Howarth <paul@city-fan.org> - 20060519-1
- Initial package build
